<?php

// In your theme's functions.php or equivalent
add_action('customize_controls_enqueue_scripts', function() {
    $version = wp_get_theme()->get('Version');
    
    // Define parameters
    $customizer_params = array(
        'some_key' => 'some_value', // Add your parameters here
    );
    
    wp_enqueue_script(
        'expert-ac-repair-customize-section-button',
        get_theme_file_uri('assets/js/customize-controls.js'),
        ['customize-controls'],
        $version,
        true
    );

    wp_enqueue_style(
        'expert-ac-repair-customize-section-button',
        get_theme_file_uri('assets/css/customize-controls.css'),
        ['customize-controls'],
        $version
    );

    wp_localize_script(
        'expert-ac-repair-customize-section-button',
        'expert_ac_repair_customizer_params',
        $customizer_params
    );
});


 /**
 * Enqueue scripts and styles.
 */
function expert_ac_repair_scripts() {
	// Styles	 

	wp_enqueue_style('bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');

	// owl
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );
		
	wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/assets/css/fontawesome-all.css' );
	
	wp_enqueue_style('expert-ac-repair-editor-style',get_template_directory_uri().'/assets/css/editor-style.css');

	wp_enqueue_style('expert-ac-repair-main', get_template_directory_uri() . '/assets/css/main.css');

	wp_enqueue_style('expert-ac-repair-woo', get_template_directory_uri() . '/assets/css/woo.css');
	
	wp_enqueue_style( 'expert-ac-repair-style', get_stylesheet_uri() );


	wp_enqueue_style('expert-ac-repair-main', get_stylesheet_uri(), array() );
		wp_style_add_data('expert-ac-repair-main', 'rtl', 'replace');
	
	// Scripts

	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);

	wp_enqueue_script('expert-ac-repair-theme-js', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'), false, true);

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

    // Animations
    if ( get_theme_mod( 'expert_ac_repair_animation_enabled', true ) ) {
        wp_enqueue_script('wow-js', get_theme_file_uri('/assets/js/wow.js'), array('jquery'), null, true);
        wp_enqueue_style('animate-css', get_template_directory_uri() . '/assets/css/animate.css');
    }

}
add_action( 'wp_enqueue_scripts', 'expert_ac_repair_scripts' );

// Function to enqueue custom CSS
function expert_ac_repair_enqueue_custom_css() {
    // Define a unique handle for your inline stylesheet
    $handle = 'expert-ac-repair-style';
    
    // Get the generated custom CSS
    $expert_ac_repair_custom_css = "";

    $expert_ac_repair_blog_layouts = get_theme_mod('expert_ac_repair_blog_layout_option_setting', 'Default');
    if ($expert_ac_repair_blog_layouts == 'Default') {
        $expert_ac_repair_custom_css .= '.blog-item{';
        $expert_ac_repair_custom_css .= 'text-align:center;';
        $expert_ac_repair_custom_css .= '}';
    } elseif ($expert_ac_repair_blog_layouts == 'Left') {
        $expert_ac_repair_custom_css .= '.blog-item{';
        $expert_ac_repair_custom_css .= 'text-align:Left;';
        $expert_ac_repair_custom_css .= '}';
    } elseif ($expert_ac_repair_blog_layouts == 'Right') {
        $expert_ac_repair_custom_css .= '.blog-item{';
        $expert_ac_repair_custom_css .= 'text-align:Right;';
        $expert_ac_repair_custom_css .= '}';
    }

    // Enqueue the inline stylesheet
    wp_add_inline_style($handle, $expert_ac_repair_custom_css);

    // Add inline style for Scroll to Top
    $expert_ac_repair_scroll_top_bg_color = get_theme_mod('expert_ac_repair_scroll_top_bg_color', '#FF9933');
    $expert_ac_repair_scroll_top_color = get_theme_mod('expert_ac_repair_scroll_top_color', '#fff');

    // Use global if still default
    if ( $expert_ac_repair_scroll_top_bg_color === '#FF9933' ) {
        $expert_ac_repair_scroll_top_bg_color = get_theme_mod('expert_ac_repair_dynamic_color_one');
    }

    $expert_ac_repair_scroll_custom_css = "
        #scrolltop {
            background-color: {$expert_ac_repair_scroll_top_bg_color};
        }
        #scrolltop span {
            color: {$expert_ac_repair_scroll_top_color};
        }
    ";
    wp_add_inline_style('expert-ac-repair-style', $expert_ac_repair_scroll_custom_css);

    // Add inline style for Preloader
    $expert_ac_repair_preloader_bg_color = get_theme_mod('expert_ac_repair_preloader_bg_color', '#ffffff');
    $expert_ac_repair_preloader_color = get_theme_mod('expert_ac_repair_preloader_color', '#FF9933');

    // Use global if still default
    if ( $expert_ac_repair_preloader_color === '#FF9933' ) {
        $expert_ac_repair_preloader_color = get_theme_mod('expert_ac_repair_dynamic_color_one');
    }

    $expert_ac_repair_preloader_custom_css = "
        .loading {
            background-color: {$expert_ac_repair_preloader_bg_color};
        }
        .loader {
            border-color: {$expert_ac_repair_preloader_color};
            color: {$expert_ac_repair_preloader_color};
            text-shadow: 0 0 10px {$expert_ac_repair_preloader_color};
        }
        .loader::before {
            border-top-color: {$expert_ac_repair_preloader_color};
            border-right-color: {$expert_ac_repair_preloader_color};
        }
        .loader span::before {
            background: {$expert_ac_repair_preloader_color};
            box-shadow: 0 0 10px {$expert_ac_repair_preloader_color};
        }
    ";
    wp_add_inline_style('expert-ac-repair-style', $expert_ac_repair_preloader_custom_css);

    // Get the generated custom CSS
    $expert_ac_repair_custom_css = "";

    $expert_ac_repair_slider_arrows = get_theme_mod('expert_ac_repair_slider_setting', true);
    if($expert_ac_repair_slider_arrows == false){
    $expert_ac_repair_custom_css .='.page-template-template-frontpage .menubar{';
        $expert_ac_repair_custom_css .='position:static; border-bottom:1px solid #ccc';
    $expert_ac_repair_custom_css .='}';
    }

    // Enqueue the inline stylesheet
    wp_add_inline_style($handle, $expert_ac_repair_custom_css);

    // footer copyright
    $expert_ac_repair_footer_font_size = get_theme_mod('expert_ac_repair_footer_bottom_copyright_text_font_size');
    $expert_ac_repair_footer_padding = get_theme_mod('expert_ac_repair_footer_bottom_copyright_text_top_bottom_padding');

    if ( $expert_ac_repair_footer_font_size === '14px' ) {
        $expert_ac_repair_footer_font_size = get_theme_mod('expert_ac_repair_body_font_size');
    }

    $expert_ac_repair_footer_copyright_css = "
        .copy-right p {
            font-size: {$expert_ac_repair_footer_font_size}px;
            padding: {$expert_ac_repair_footer_padding}px;
        }
    ";
    wp_add_inline_style('expert-ac-repair-style', $expert_ac_repair_footer_copyright_css);
}

// Hook the function to the 'wp_enqueue_scripts' action
add_action('wp_enqueue_scripts', 'expert_ac_repair_enqueue_custom_css');